/*
  Program: Mine Mayhem
  File:    tilessqr.cc
  Date:    July, 1996 to February,   1997,    version 1.00
	   26 October to 3 December,	      version 2.00
	   8 December to 4 January,  2001,    version 2.10
	   15 January,			      version 2.11
	   18 September to 16 December, 2006, version 2.90

  The graphic buffers for the imges on the tiles.

  Freeware, Copyright 2006 Jason Hood.
*/

#include "tiles.h"

ViewBuffer* Overlay[OTILES];

#define B 10			// dark blue
#define C 11			// cyan
#define F 17			// "faded" black
#define _ 12			// transparent

BYTE OverlayBuffer[OTILES][OTILEW*OTILEH] =
{
			    { _,_,_,_,7,7,_,_,_,_,		// Marked
			      _,_,7,7,7,7,_,_,_,_,
			      _,7,7,7,7,7,_,_,_,_,
			      _,_,7,7,7,7,_,_,_,_,
			      _,_,_,_,7,7,_,_,_,_,
			      _,_,_,_,_,3,_,_,_,_,
			      _,_,_,_,_,3,_,_,_,_,
			      _,_,_,3,3,3,3,_,_,_,
			      _,3,3,3,3,3,3,3,3,_,
			      _,3,3,3,3,3,3,3,3,_ },

			    { _,_,_,_,_,8,8,_,_,_,		// One
			      _,_,_,_,8,8,8,_,_,_,
			      _,_,_,8,8,8,8,_,_,_,
			      _,_,8,8,8,8,8,_,_,_,
			      _,_,_,_,8,8,8,_,_,_,
			      _,_,_,_,8,8,8,_,_,_,
			      _,_,_,_,8,8,8,_,_,_,
			      _,_,_,_,8,8,8,_,_,_,
			      _,_,8,8,8,8,8,8,8,_,
			      _,_,8,8,8,8,8,8,8,_ },

			    { _,9,9,9,9,9,9,9,9,_,		// Two
			      9,9,9,9,9,9,9,9,9,9,
			      9,9,9,_,_,_,_,9,9,9,
			      _,_,_,_,_,_,_,9,9,9,
			      _,_,_,_,_,9,9,9,9,_,
			      _,_,_,9,9,9,9,9,_,_,
			      _,9,9,9,9,9,_,_,_,_,
			      9,9,9,9,_,_,_,_,_,_,
			      9,9,9,9,9,9,9,9,9,9,
			      9,9,9,9,9,9,9,9,9,9 },

			    { 7,7,7,7,7,7,7,7,7,_,		// Three
			      7,7,7,7,7,7,7,7,7,7,
			      _,_,_,_,_,_,_,7,7,7,
			      _,_,_,_,_,_,_,7,7,7,
			      _,_,_,7,7,7,7,7,7,_,
			      _,_,_,7,7,7,7,7,7,_,
			      _,_,_,_,_,_,_,7,7,7,
			      _,_,_,_,_,_,_,7,7,7,
			      7,7,7,7,7,7,7,7,7,7,
			      7,7,7,7,7,7,7,7,7,_ },

			    { _,_,B,B,B,_,B,B,B,_,		// Four
			      _,_,B,B,B,_,B,B,B,_,
			      _,B,B,B,_,_,B,B,B,_,
			      _,B,B,B,_,_,B,B,B,_,
			      B,B,B,B,B,B,B,B,B,B,
			      B,B,B,B,B,B,B,B,B,B,
			      _,_,_,_,_,_,B,B,B,_,
			      _,_,_,_,_,_,B,B,B,_,
			      _,_,_,_,_,_,B,B,B,_,
			      _,_,_,_,_,_,B,B,B,_ },

			    { 6,6,6,6,6,6,6,6,6,6,		// Five
			      6,6,6,6,6,6,6,6,6,6,
			      6,6,6,_,_,_,_,_,_,_,
			      6,6,6,_,_,_,_,_,_,_,
			      6,6,6,6,6,6,6,6,6,_,
			      6,6,6,6,6,6,6,6,6,6,
			      _,_,_,_,_,_,_,6,6,6,
			      _,_,_,_,_,_,_,6,6,6,
			      6,6,6,6,6,6,6,6,6,6,
			      6,6,6,6,6,6,6,6,6,_ },

			    { _,C,C,C,C,C,C,C,C,_,		// Six
			      C,C,C,C,C,C,C,C,C,_,
			      C,C,C,_,_,_,_,_,_,_,
			      C,C,C,_,_,_,_,_,_,_,
			      C,C,C,C,C,C,C,C,C,_,
			      C,C,C,C,C,C,C,C,C,C,
			      C,C,C,_,_,_,_,C,C,C,
			      C,C,C,_,_,_,_,C,C,C,
			      C,C,C,C,C,C,C,C,C,C,
			      _,C,C,C,C,C,C,C,C,_ },

			    { 3,3,3,3,3,3,3,3,3,3,		// Seven
			      3,3,3,3,3,3,3,3,3,3,
			      _,_,_,_,_,_,_,3,3,3,
			      _,_,_,_,_,_,_,3,3,3,
			      _,_,_,_,_,_,3,3,3,_,
			      _,_,_,_,_,_,3,3,3,_,
			      _,_,_,_,_,3,3,3,_,_,
			      _,_,_,_,_,3,3,3,_,_,
			      _,_,_,_,3,3,3,_,_,_,
			      _,_,_,_,3,3,3,_,_,_ },

			    { _,1,1,1,1,1,1,1,1,_,		// Eight
			      1,1,1,1,1,1,1,1,1,1,
			      1,1,1,_,_,_,_,1,1,1,
			      1,1,1,_,_,_,_,1,1,1,
			      _,1,1,1,1,1,1,1,1,_,
			      _,1,1,1,1,1,1,1,1,_,
			      1,1,1,_,_,_,_,1,1,1,
			      1,1,1,_,_,_,_,1,1,1,
			      1,1,1,1,1,1,1,1,1,1,
			      _,1,1,1,1,1,1,1,1,_ },

			    { _,2,2,2,2,2,2,2,2,_,		// Nine
			      2,2,2,2,2,2,2,2,2,2,
			      2,2,2,_,_,_,_,2,2,2,
			      2,2,2,_,_,_,_,2,2,2,
			      2,2,2,2,2,2,2,2,2,2,
			      _,2,2,2,2,2,2,2,2,2,
			      _,_,_,_,_,_,_,2,2,2,
			      _,_,_,_,_,_,_,2,2,2,
			      _,2,2,2,2,2,2,2,2,2,
			      _,2,2,2,2,2,2,2,2,_ },

			    { _,_,_,3,3,3,3,_,_,_,
			      _,_,3,3,_,_,3,3,_,_,		// Hint
			      _,_,3,3,_,_,3,3,_,_,
			      _,_,_,_,_,_,3,3,_,_,
			      _,_,_,_,_,3,3,_,_,_,
			      _,_,_,_,3,3,_,_,_,_,
			      _,_,_,_,3,3,_,_,_,_,
			      _,_,_,_,_,_,_,_,_,_,
			      _,_,_,_,3,3,_,_,_,_,
			      _,_,_,_,3,3,_,_,_,_ },

			    { 7,7,_,_,_,_,_,_,7,7,		// Hint (mark)
			      7,7,7,_,_,_,_,7,7,7,
			      _,7,7,7,_,_,7,7,7,_,
			      _,_,7,7,7,7,7,7,_,_,
			      _,_,_,7,7,7,7,_,_,_,
			      _,_,_,7,7,7,7,_,_,_,
			      _,_,7,7,7,7,7,7,_,_,
			      _,7,7,7,_,_,7,7,7,_,
			      7,7,7,_,_,_,_,7,7,7,
			      7,7,_,_,_,_,_,_,7,7 },

			    { _,_,_,_,_,_,_,_,8,8,		// Hint (open)
			      _,_,_,_,_,_,_,_,8,8,
			      _,_,_,_,_,_,_,8,8,_,
			      8,_,_,_,_,_,_,8,8,_,
			      8,8,_,_,_,_,8,8,_,_,
			      8,8,8,_,_,_,8,8,_,_,
			      _,8,8,8,_,8,8,_,_,_,
			      _,_,8,8,8,8,8,_,_,_,
			      _,_,_,8,8,8,_,_,_,_,
			      _,_,_,_,8,8,_,_,_,_ },

			    { _,_,_,_,8,8,_,_,_,_,		// Hint
			      _,_,8,8,8,8,_,_,_,_,		// (wrong mark)
			      _,8,8,8,8,8,_,_,_,_,
			      _,_,8,8,8,8,_,_,_,_,
			      _,_,_,_,8,8,_,_,_,_,
			      _,_,_,_,_,3,_,_,_,_,
			      _,_,_,_,_,3,_,_,_,_,
			      _,_,_,3,3,3,3,_,_,_,
			      _,3,3,3,3,3,3,3,3,_,
			      _,3,3,3,3,3,3,3,3,_ },

			    { _,_,_,_,6,6,_,_,_,_,		// Hint
			      _,_,6,6,6,6,_,_,_,_,		// (unknown
			      _,6,6,6,6,6,_,_,_,_,		//  mark)
			      _,_,6,6,6,6,_,_,_,_,
			      _,_,_,_,6,6,_,_,_,_,
			      _,_,_,_,_,F,_,_,_,_,
			      _,_,_,_,_,F,_,_,_,_,
			      _,_,_,F,F,F,F,_,_,_,
			      _,F,F,F,F,F,F,F,F,_,
			      _,F,F,F,F,F,F,F,F,_ },
};
