/*
  Program: Mine Mayhem
  File:    tileshex.cc
  Date:    26 October to 3 December,	      version 2.00
	   8 December to 4 January,  2001,    version 2.10
	   15 January,			      version 2.11
	   18 September to 16 December, 2006, version 2.90

  The graphic buffers for the hexagons on the board, including the outline.

  Freeware, Copyright 2006 Jason Hood.
*/

#include "tiles.h"

ViewBuffer* Hexagon[HEXTILES];

#define Y 18			// "faded" yellow
#define _ 12			// transparent

BYTE HexagonBuffer[HEXTILES][HEXAGONW*HEXAGONH] =
{
		      { _,_,_,_,_,_,_,2,2,_,_,_,_,_,_,_,	// Unopened
			_,_,_,_,_,2,2,0,0,2,2,_,_,_,_,_,
			_,_,_,2,2,0,0,0,0,0,0,2,2,_,_,_,
			_,2,2,0,0,0,0,0,0,0,0,0,0,2,2,_,
			2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,
			2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,
			2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,
			2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,
			2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,
			2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,
			2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,
			2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,
			2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,
			2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,
			_,1,1,0,0,0,0,0,0,0,0,0,0,1,1,_,
			_,_,_,1,1,0,0,0,0,0,0,1,1,_,_,_,
			_,_,_,_,_,1,1,0,0,1,1,_,_,_,_,_,
			_,_,_,_,_,_,_,1,1,_,_,_,_,_,_,_ },

		      { _,_,_,_,_,_,_,1,1,_,_,_,_,_,_,_,	// Opened
			_,_,_,_,_,1,1,0,0,0,1,_,_,_,_,_,
			_,_,_,1,1,0,0,0,0,0,0,0,1,_,_,_,
			_,1,1,0,0,0,0,0,0,0,0,0,0,0,1,_,
			1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
			1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
			1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
			1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
			1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
			1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
			1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
			1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
			1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
			1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
			_,0,0,0,0,0,0,0,0,0,0,0,0,0,0,_,
			_,_,_,0,0,0,0,0,0,0,0,0,0,_,_,_,
			_,_,_,_,_,0,0,0,0,0,0,_,_,_,_,_,
			_,_,_,_,_,_,_,0,0,_,_,_,_,_,_,_ },

		      { _,_,_,_,_,_,_,1,1,_,_,_,_,_,_,_,	// DeadMine
			_,_,_,_,_,1,1,7,7,1,1,_,_,_,_,_,
			_,_,_,1,1,7,7,7,7,7,7,1,1,_,_,_,
			_,1,1,7,7,7,7,7,7,7,7,7,7,1,1,_,
			1,7,7,7,7,7,7,7,7,7,7,7,7,7,7,1,
			1,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
			1,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
			1,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
			1,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
			1,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
			1,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
			1,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
			1,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
			1,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
			_,7,7,7,7,7,7,7,7,7,7,7,7,7,7,_,
			_,_,_,7,7,7,7,7,7,7,7,7,7,_,_,_,
			_,_,_,_,_,7,7,7,7,7,7,_,_,_,_,_,
			_,_,_,_,_,_,_,7,7,_,_,_,_,_,_,_ },

		      { _,_,_,_,_,_,_,2,2,_,_,_,_,_,_,_,	// Counted mark
			_,_,_,_,_,2,2,4,4,4,2,_,_,_,_,_,
			_,_,_,2,2,4,4,4,4,4,4,4,2,_,_,_,
			_,2,2,4,4,4,4,4,4,4,4,4,4,4,2,_,
			2,4,4,4,4,4,4,4,4,4,4,4,4,4,4,1,
			2,4,4,4,4,4,4,4,4,4,4,4,4,4,4,1,
			2,4,4,4,4,4,4,4,4,4,4,4,4,4,4,1,
			2,4,4,4,4,4,4,4,4,4,4,4,4,4,4,1,
			2,4,4,4,4,4,4,4,4,4,4,4,4,4,4,1,
			2,4,4,4,4,4,4,4,4,4,4,4,4,4,4,1,
			2,4,4,4,4,4,4,4,4,4,4,4,4,4,4,1,
			2,4,4,4,4,4,4,4,4,4,4,4,4,4,4,1,
			2,4,4,4,4,4,4,4,4,4,4,4,4,4,4,1,
			2,4,4,4,4,4,4,4,4,4,4,4,4,4,4,1,
			_,1,1,4,4,4,4,4,4,4,4,4,4,1,1,_,
			_,_,_,1,1,4,4,4,4,4,4,1,1,_,_,_,
			_,_,_,_,_,1,1,4,4,1,1,_,_,_,_,_,
			_,_,_,_,_,_,_,1,1,_,_,_,_,_,_,_ },

		      { _,_,_,_,_,_,_,2,2,_,_,_,_,_,_,_,	// Counted mark
			_,_,_,_,_,2,2,Y,Y,Y,2,_,_,_,_,_,	// (wrong)
			_,_,_,2,2,Y,Y,Y,Y,Y,Y,Y,2,_,_,_,
			_,2,2,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,2,_,
			2,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,1,
			2,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,1,
			2,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,1,
			2,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,1,
			2,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,1,
			2,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,1,
			2,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,1,
			2,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,1,
			2,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,1,
			2,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,1,
			_,1,1,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,1,1,_,
			_,_,_,1,1,Y,Y,Y,Y,Y,Y,1,1,_,_,_,
			_,_,_,_,_,1,1,Y,Y,1,1,_,_,_,_,_,
			_,_,_,_,_,_,_,1,1,_,_,_,_,_,_,_ },

		      { _,_,_,_,_,_,_,2,2,_,_,_,_,_,_,_,	// Counted mark
			_,_,_,_,_,2,2,2,2,2,2,_,_,_,_,_,	// (unknown)
			_,_,_,2,2,2,2,2,2,2,2,2,2,_,_,_,
			_,2,2,2,2,2,2,2,2,2,2,2,2,2,2,_,
			2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,1,
			2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,1,
			2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,1,
			2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,1,
			2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,1,
			2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,1,
			2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,1,
			2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,1,
			2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,1,
			2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,1,
			_,1,1,2,2,2,2,2,2,2,2,2,2,1,1,_,
			_,_,_,1,1,2,2,2,2,2,2,1,1,_,_,_,
			_,_,_,_,_,1,1,2,2,1,1,_,_,_,_,_,
			_,_,_,_,_,_,_,1,1,_,_,_,_,_,_,_ },

		      { 2,_,_,_,_,_,_,_,_,_,_,_,_,_,_,2,	// The top,
			_,2,2,_,_,_,_,_,_,_,_,_,_,2,2,_,	// -left and
			_,_,_,2,2,_,_,_,_,_,_,2,2,_,_,_,	// -right
			_,_,_,_,_,2,2,_,_,2,2,_,_,_,_,_,	// outlines.
			_,_,_,_,_,_,_,2,2,_,_,_,_,_,_,_,
			_,_,_,_,_,_,_,2,1,_,_,_,_,_,_,_,
			_,_,_,_,_,_,_,2,1,_,_,_,_,_,_,_,
			_,_,_,_,_,_,_,2,1,_,_,_,_,_,_,_,
			_,_,_,_,_,_,_,2,1,_,_,_,_,_,_,_,
			_,_,_,_,_,_,_,2,1,_,_,_,_,_,_,_,
			_,_,_,_,_,_,_,2,1,_,_,_,_,_,_,_,
			_,_,_,_,_,_,_,2,1,_,_,_,_,_,_,_,
			_,_,_,_,_,_,_,2,1,_,_,_,_,_,_,_,
			_,_,_,_,_,_,_,2,1,_,_,_,_,_,_,_,
			_,_,_,_,_,_,_,2,1,_,_,_,_,_,_,_,
			_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,
			_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,
			_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_ },

		      { _,_,_,_,_,_,_,2,1,_,_,_,_,_,_,_,	// The
			_,_,_,_,_,_,_,2,1,_,_,_,_,_,_,_,	// bottom,
			_,_,_,_,_,_,_,2,1,_,_,_,_,_,_,_,	// -left and
			_,_,_,_,_,_,_,2,1,_,_,_,_,_,_,_,	// -right
			_,_,_,_,_,_,_,2,1,_,_,_,_,_,_,_,	// outlines.
			_,_,_,_,_,_,_,2,1,_,_,_,_,_,_,_,
			_,_,_,_,_,_,_,2,1,_,_,_,_,_,_,_,
			_,_,_,_,_,_,_,2,1,_,_,_,_,_,_,_,
			_,_,_,_,_,_,_,2,1,_,_,_,_,_,_,_,
			_,_,_,_,_,_,_,2,1,_,_,_,_,_,_,_,
			_,_,_,_,_,_,_,1,1,_,_,_,_,_,_,_,
			_,_,_,_,_,1,1,_,_,1,1,_,_,_,_,_,
			_,_,_,1,1,_,_,_,_,_,_,1,1,_,_,_,
			_,1,1,_,_,_,_,_,_,_,_,_,_,1,1,_,
			1,_,_,_,_,_,_,_,_,_,_,_,_,_,_,1,
			_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,
			_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,
			_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_ },
};


// Create a mask for the first four rows to indicate which tile they belong to.
BYTE HexMask[HEXAGOND][HEXAGONW] = {
  {1,1,1,1,1,1,1,0,0,2,2,2,2,2,2,2},
  {1,1,1,1,1,0,0,0,0,0,0,2,2,2,2,2},
  {1,1,1,0,0,0,0,0,0,0,0,0,0,2,2,2},
  {1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2},
};
